Revision as of 18:04, 23 March 2020 by FuzzyBot (talk | contribs) (Importing a new version from external source)
(diff) ← Older revision | Latest revision (diff) | Newer revision → (diff)

Dependencies

Siril depends on a number of libraries, most of which should be available in your operating system if it is recent enough. The names of the packages specific to operating systems are listed in each section below. Mandatory dependencies are:

  • gtk+3 (Graphical user interface library), at least version 3.16
  • cfitsio (FITS images support)
  • fftw (Discrete Fourier Transform library)
  • gsl (The GNU Scientific Library), version 1 or 2 starting with release 0.9.1 or SVN revision 1040
  • libconfig (Structured configuration files support)
  • OpenCV and a C++ compiler for some image operations
  • Exiv2 to manage image metadata.